Skip to content

Run a Workflow

POST
/api/app/{app_slug}/workflows/run
curl --request POST \
--url https://api.agentaab.com/api/app/example/workflows/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "inputs": {} }'

Run the exact active Workflow Capability Release with one object-valued inputs payload. Native Workflows return a sanitized execution trace in response metadata.

app_slug
required
string
Media typeapplication/json

Public request for an active Workflow Capability Release.

object
inputs
required
object
key
additional properties
any
Examplegenerated
{
"inputs": {}
}

Workflow execution completed.

Media typeapplication/json

Normalized Workflow result. Native DAG execution also includes an execution identity and sanitized trace.

object
id
required
string format: uuid
answer
required
string
provider
string
structured_result
object
key
additional properties
any
execution_id
string
created_at
required
string format: date-time
metadata
required
object
usage
required
object
key
additional properties
any
execution_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"metadata": {
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}
}

The Workflow request body is invalid.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

The public runtime token is missing or invalid.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

Runtime quota, credit, or payment is required before execution.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

Runtime visibility, origin, authorization, or protection policy denied the request.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

An idempotency key or payment receipt cannot be reused.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

The bounded Workflow request body is too large.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

A Workflow node failed; a sanitized partial trace may be returned.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

Runtime rate or usage policy denied the request.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}

Exact active Capability Release authority could not be proven.

Media typeapplication/json

Public-safe runtime failure. Fields vary by policy and execution phase.

object
error
required
string
code
string
execution_id
string
node_id
string
trace
Array<object>
object
node_id
required
string
type
required
string
Allowed values: input agent tool condition transform output
status
required
string
Allowed values: completed skipped failed
started_at
required
string format: date-time
finished_at
required
string format: date-time
duration_ms
required
integer
selected_branch
string
Allowed values: true false
input_summary
output_summary
Example
{
"trace": [
{
"type": "input",
"status": "completed",
"selected_branch": "true"
}
]
}